#
# spec file for package gap-forms
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-forms
Version:        1.2.12
Release:        1.1
Summary:        GAP: Sesquilinear and quadratic forms
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/forms/
#Git-Clone:     https://github.com/gap-packages/forms

Source:         https://github.com/gap-packages/forms/releases/download/v%version/forms-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.9

%description
This package can be used for work with sesquilinear and quadratic
forms on finite vector spaces; objects that are used to describe
polar spaces and classical groups. It provides:

* A way to create and use sesquilinear and quadratic forms on finite
  vector spaces.
* An operation which finds an isometry between two forms of the same
  type.
* An operation which returns the forms left invariant by a matrix
  group.

%prep
%autosetup -n forms-%version
perl -i -lpe 's{^#!/usr/bin/env bash}{#!/bin/bash}g' *.sh

%build
# (rpmlint) not marked +x
rm doc/clean

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Tue Sep  3 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.12
  * Part of the recognition functionality has been updated and
    corrected.
* Thu Apr 11 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.11
  * Make BaseChangeHermitian faster for large matrices
  * Make BaseChangeOrthogonalQuadratic faster for large matrices
  * Make Forms_RESET compatible with FinInG
* Fri Nov 18 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.9
  * Fix error in BaseChangeOrthogonalBilinear over large fields
* Sat Jul 30 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.8
  * This version optimizes the computation of base change
    matrices, making it faster by several orders of magnitude for
    large inputs.
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.2.5
  * No changelog was provided
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 1.2.4
  * No changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 1.2.3
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split forms (version 1.2.2) off the gap RPM package
